Request Information

URI Parameters

NameDescriptionTypeAdditional information
appId

The application identifier.

integer

None.

Body Parameters

None.

Response Information

Resource Description

A list of wires.

Collection of Nano.Wire
NameDescriptionTypeAdditional information
advanceAmount

Gets or sets the advance amount.

decimal number

None.

app

Gets or sets the application identifier.

integer

None.

date

Gets or sets the date.

date

None.

fedReferenceNumber

Gets or sets the fed reference number.

string

None.

retracted

Gets or sets a value indicating whether the wire is retracted.

boolean

None.

source

Gets or sets the source (e.g. "OptiFunder" or "Internal").

string

None.

id

Gets or sets the wire identifier.

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "advanceAmount": 1.0,
    "app": "1",
    "date": "2026-05-29T17:23:34.4434523Z",
    "fedReferenceNumber": "sample String 3",
    "retracted": true,
    "source": "sample String 5",
    "id": "6"
  },
  {
    "advanceAmount": 1.0,
    "app": "1",
    "date": "2026-05-29T17:23:34.4434523Z",
    "fedReferenceNumber": "sample String 3",
    "retracted": true,
    "source": "sample String 5",
    "id": "6"
  }
]

text/html

Sample:
[{"advanceAmount":1.0,"app":"1","date":"2026-05-29T17:23:34.4434523Z","fedReferenceNumber":"sample String 3","retracted":true,"source":"sample String 5","id":"6"},{"advanceAmount":1.0,"app":"1","date":"2026-05-29T17:23:34.4434523Z","fedReferenceNumber":"sample String 3","retracted":true,"source":"sample String 5","id":"6"}]

application/xml, text/xml

Sample:
<ArrayOfWire xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Wire>
    <AdvanceAmount>1</AdvanceAmount>
    <AppId>1</AppId>
    <Date>2026-05-29T17:23:34.4434523Z</Date>
    <FedReferenceNumber>sample String 3</FedReferenceNumber>
    <Retracted>true</Retracted>
    <Source>sample String 5</Source>
    <WireId>6</WireId>
  </Wire>
  <Wire>
    <AdvanceAmount>1</AdvanceAmount>
    <AppId>1</AppId>
    <Date>2026-05-29T17:23:34.4434523Z</Date>
    <FedReferenceNumber>sample String 3</FedReferenceNumber>
    <Retracted>true</Retracted>
    <Source>sample String 5</Source>
    <WireId>6</WireId>
  </Wire>
</ArrayOfWire>

application/vnd.api+json

Sample:

Sample not available.